Get user preferences
Retrieve the current user’s preferences including email notifications, autopay settings, and balance thresholds.
Autopay Overview: Autopay automatically charges your saved payment method when your balance falls below the autopay_reload_threshold. Requires a default payment method saved in your account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
Response model for GET /user/preferences endpoint.
Whether to send email notifications when clusters are created
Whether to send email notifications when clusters are destroyed
Whether autopay is enabled. When enabled, TensorPool automatically charges your saved payment method when your balance falls below autopay_reload_threshold.
Requirements to enable:
- Must have a default payment method saved (add at /dashboard/balance)
- Must set autopay_reload_threshold
How it works:
- When balance drops below autopay_reload_threshold, automatically charges saved payment method
- Requires saved payment method on file
- Can be disabled at any time
Balance threshold (in USD) at which to send warning email notifications. Must be positive if set. Should be higher than autopay_reload_threshold if both are set.
Balance threshold (in USD) at which autopay automatically reloads balance. Must be at least $20 and less than balance_warning_threshold if both are set.